Bug 214401 - Sound does not wake up after resume from pm-suspend on Dell C840
Sound does not wake up after resume from pm-suspend on Dell C840
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 08:59 EST by Ranjan Maitra
Modified: 2015-03-04 20:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 11:37:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contains scsrun.log and scsconfig.log files (9.42 KB, application/x-bzip)
2006-11-07 08:59 EST, Ranjan Maitra
no flags Details

  None (edit)
Description Ranjan Maitra 2006-11-07 08:59:40 EST
Description of problem:

Sound does not wake up after resume from pm-suspend on Dell C840

Version-Release number of selected component (if applicable):

pm-utils-0.19-3

How reproducible:

Everytime


Steps to Reproduce:
1. Log into FC6 on a Dell (Latitude C840 laptop)
2. Suspend (by typing) pm-suspend or the gnome-frontend
3. Wake up by opening lid of laptop (after a short while)
  
Actual results:

System wakes up ok, but no sounds hereafter

Expected results:

Things should work normally including with audio

Additional info:

1. The problem continues with FC6. But explicitly reloading the drivers
everytime works! So, the problem should have a solution. Anyway, I am attaching
three pairs of files. ie, I will submit files of scsrun.log and scsconfig.log

It is not an ALSA problem since xubuntu 6.10 has no problem whatsoever!


Files submitted in the attached bzipped archive (tempo.bz2) are as follows:


1. /root/scsrun.log	--- scsrun.log file before laptop goes into suspend
mode
2. /root/scsconfig.log	--- scsconfig.log file before laptop goes into suspend
mode

1. /root/scsrun1.log	 --- scsrun.log file after laptop wakes up from suspend
mode
2. /root/scsconfig1.log  --- scsconfig.log file after laptop wakes up from
suspend mode

1. /root/scsrun2.log	 --- scsrun.log file after drivers are reloaded 
2. /root/scsconfig2.log  --- scsconfig.log file after drivers are reloaded
Comment 1 Ranjan Maitra 2006-11-07 08:59:40 EST
Created attachment 140557 [details]
contains scsrun.log and scsconfig.log files
Comment 2 Phil Knirsch 2006-11-07 10:17:06 EST
Could you do me a favour and run

alsamixer 

once on the machine to get a saved state for your sound settings? This way after
a resume the sound settings should be properly restored.

Read ya, Phil
Comment 3 Ranjan Maitra 2006-11-07 12:09:48 EST
I am confused what do you want me to do?

I ran alsamixer.

Then I pm-suspended and resumed. No change. The sounds went away. Is this what
you wanted me to do?

Many thanks!
Comment 4 Phil Knirsch 2006-11-08 04:12:16 EST
Yeah. Typically alsamixer saves the state of the whole sound configuration in
/etc/asound.state which then gets reloaded during resume.

On a fresh installed system this file is missing as it's only modified by the
alsactl command (you can do a manual alsactl store 0 as root as well, will have
the same effect as running alsamixer).

So if saving the state and restoring it doesn't work for your soundcard it's
very likely to be a driver problem.

Could you append the output of

lspci -v

to this bugzilla so we know the exact hardware you have? Maybe it's a know
problem with your sound card.

Read ya, Phil
Comment 5 Ranjan Maitra 2006-11-08 09:15:53 EST
I see, thanks! Btw, it may be a driver problem, but then it works in xubuntu
6.10 which still has a kernel way behind FC6. Anyway, Here is lspci -v:

# lspci -v
00:00.0 Host bridge: Intel Corporation 82845 845 (Brookdale) Chipset Host Bridge
(rev 04)
        Flags: bus master, fast devsel, latency 0
        Memory at e8000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [e4] Vendor Specific Information
        Capabilities: [a0] AGP version 2.0

00:01.0 PCI bridge: Intel Corporation 82845 845 (Brookdale) Chipset AGP Bridge
(rev 04) (prog-if 00 [Normal decode])
        Flags: bus master, 66MHz, fast devsel, latency 32
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        I/O behind bridge: 0000c000-0000cfff
        Memory behind bridge: fc000000-fdffffff
        Prefetchable memory behind bridge: d8000000-e7ffffff

00:1d.0 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #1) (rev 02)
(prog-if 00 [UHCI])
        Subsystem: Intel Corporation Latitude C640
        Flags: bus master, medium devsel, latency 0, IRQ 11
        I/O ports at bf80 [size=32]

00:1d.2 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #3) (rev 02)
(prog-if 00 [UHCI])
        Subsystem: Intel Corporation Unknown device 4541
        Flags: bus master, medium devsel, latency 0, IRQ 11
        I/O ports at bf20 [size=32]

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 42) (prog-if
00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=10, sec-latency=32
        I/O behind bridge: 0000e000-0000ffff
        Memory behind bridge: f4000000-fbffffff
        Prefetchable memory behind bridge: 30000000-36ffffff

00:1f.0 ISA bridge: Intel Corporation 82801CAM ISA Bridge (LPC) (rev 02)
        Flags: bus master, medium devsel, latency 0

00:1f.1 IDE interface: Intel Corporation 82801CAM IDE U100 (rev 02) (prog-if 8a
[Master SecP PriP])
        Subsystem: Intel Corporation Latitude C640
        Flags: bus master, medium devsel, latency 0, IRQ 11
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at <ignored>
        I/O ports at bfa0 [size=16]
        Memory at 37000000 (32-bit, non-prefetchable) [size=1K]

00:1f.5 Multimedia audio controller: Intel Corporation 82801CA/CAM AC'97 Audio
Controller (rev 02)
        Subsystem: Cirrus Logic Crystal WMD Audio Codec
        Flags: bus master, medium devsel, latency 0, IRQ 5
        I/O ports at d800 [size=256]
        I/O ports at dc80 [size=64]

00:1f.6 Modem: Intel Corporation 82801CA/CAM AC'97 Modem Controller (rev 02)
(prog-if 00 [Generic])
        Subsystem: PCTel Inc Dell Inspiron 2100 internal modem
        Flags: bus master, medium devsel, latency 0, IRQ 5
        I/O ports at d400 [size=256]
        I/O ports at dc00 [size=128]

01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 440 Go]
(rev a3) (prog-if 00 [VGA])
        Subsystem: Dell Unknown device 00d5
        Flags: bus master, VGA palette snoop, 66MHz, medium devsel, latency 32,
IRQ 11
        Memory at fc000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e0000000 (32-bit, prefetchable) [size=128M]
        Memory at dff80000 (32-bit, prefetchable) [size=512K]
        Expansion ROM at d8000000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [44] AGP version 2.0

02:00.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
        Subsystem: Dell Unknown device 00d5
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at ec80 [size=128]
        Memory at f8fffc00 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at 36000000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2

02:01.0 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus Controller
        Subsystem: Dell Unknown device 00d5
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at f8000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=02, secondary=03, subordinate=06, sec-latency=176
        Memory window 0: 30000000-31fff000 (prefetchable)
        Memory window 1: f4000000-f5fff000
        I/O window 0: 0000e000-0000e0ff
        I/O window 1: 0000e400-0000e4ff
        16-bit legacy interface ports at 0001

02:01.1 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus Controller
        Subsystem: Dell Unknown device 00d5
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at f8001000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=02, secondary=07, subordinate=0a, sec-latency=176
        Memory window 0: 32000000-33fff000 (prefetchable)
        Memory window 1: f6000000-f7fff000
        I/O window 0: 0000e800-0000e8ff
        I/O window 1: 00001000-000010ff
        16-bit legacy interface ports at 0001

02:01.2 FireWire (IEEE 1394): Texas Instruments PCI4451 IEEE-1394 Controller
(prog-if 10 [OHCI])
        Subsystem: Dell Unknown device 00d5
        Flags: bus master, medium devsel, latency 32, IRQ 11
        Memory at f8fff000 (32-bit, non-prefetchable) [size=2K]
        Memory at f8ff8000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2

02:03.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller
(rev 01)
        Subsystem: Lucent Technologies Unknown device ab01
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at f8002000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=02, secondary=0b, subordinate=0e, sec-latency=176
        Memory window 0: 34000000-35fff000 (prefetchable)
        Memory window 1: fa000000-fbfff000
        I/O window 0: 00001400-000014ff
        I/O window 1: 00001800-000018ff
        16-bit legacy interface ports at 0001

Comment 6 Jack Spaar 2006-11-09 19:35:08 EST
I have no sound on resume from hibernate.  I have to run "alsactl restore"
manually to get sound back.  This box was upgraded from FC5.

Excerpts from lspci:
00:00.0 Host bridge: ALi Corporation M1647 Northbridge [MAGiK 1 / MobileMAGiK 1]
 (rev 04)
        Flags: bus master, medium devsel, latency 0
        Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Capabilities: [b0] AGP version 2.0
        Capabilities: [a4] Power Management version 1

00:05.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
        Subsystem: ASUSTeK Computer Inc. CMI8738 6ch-MX
        Flags: bus master, stepping, medium devsel, latency 32, IRQ 9
        I/O ports at d000 [size=256]
        Capabilities: [c0] Power Management version 2

00:07.0 ISA bridge: ALi Corporation M1533/M1535 PCI to ISA Bridge [Aladdin IV/V/
V+]
        Subsystem: ALi Corporation ALi M1533 Aladdin IV/V ISA Bridge
        Flags: bus master, medium devsel, latency 0
        Capabilities: [a0] Power Management version 1

00:11.0 Bridge: ALi Corporation M7101 Power Management Controller [PMU]
        Flags: medium devsel
Comment 7 Phil Knirsch 2006-11-10 05:14:27 EST
Hm, i've just checked, we don't do a alsactl resume currently after resume.
Maybe a hook for sound resume might be in order.

I'll make a patch today and see to get it integrated in the next pm-utils.

Read ya, Phil
Comment 8 Jack Spaar 2006-11-28 18:43:13 EST
Oddly, this problem has disappeared on the affected machine, still on
pm-utils-0.19-3.

*shrug*
Comment 9 Ranjan Maitra 2006-12-04 00:37:15 EST
not for me...where is the patch?
Comment 10 Ranjan Maitra 2007-01-21 12:09:56 EST
whatever happened to fixing this?
Comment 11 Phil Knirsch 2007-01-22 07:16:39 EST
Doh, sorry, this somehow dropped of my TODO list.

Will honestly fix it today. I'll see if i can make a FC-6 update package as
well,  but i'll first build this (and 2 other fixes) in FC-devel.

If you could give the FC-devel package a shot first that would be great (should
appear over the next few days in the trees).

Thanks,

Read ya, Phil
Comment 12 Phil Knirsch 2007-01-24 11:37:47 EST
OK, new hook file is done. Will be in next build.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.